Bug 581721

Summary: iface-list result inconsistent with ifconfig
Product: [Fedora] Fedora Reporter: Lijian Xu <lxu>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, itamar, jforbes, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-03 14:01:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Lijian Xu 2010-04-13 01:00:39 EDT
Description of problem:
    I use testday-20100408 image to test "Shared Network Interface List Interfaces"(https://fedoraproject.org/wiki/QA:Testcase_Shared_Network_Interface_List_Interfaces), and the result of iface-list isn't consistent with ifconfig.

Version-Release number of selected component (if applicable):
    * kernel-2.6.33.1-19.fc13
    * libvirt-0.7.7-1.fc13
    * python-virtinst-0.500.2-3.fc13
    * qemu-0.12.3-6.fc13
    * seabios-0.5.1-1.fc13
    * virt-manager-0.8.3-2.fc13 

How reproducible:
    Always

Steps to Reproduce:
1. Boot from test livecd.
2. Install @virtualization and qemu
3. Run "virsh iface-list"
  
Actual results:
[root@localhost ~]# virsh iface-list
Name                 State      MAC Address
--------------------------------------------
lo                   active     00:00:00:00:00:00

[root@localhost ~]# /sbin/ifconfig 
eth0      Link encap:Ethernet  HWaddr 00:23:AE:A2:6C:74  
          inet addr:10.66.65.190  Bcast:10.66.65.255  Mask:255.255.254.0
          inet6 addr: fe80::223:aeff:fea2:6c74/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:117065 errors:0 dropped:0 overruns:0 frame:0
          TX packets:73719 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:134301041 (128.0 MiB)  TX bytes:5212747 (4.9 MiB)
          Memory:febe0000-fec00000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:20 errors:0 dropped:0 overruns:0 frame:0
          TX packets:20 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:1200 (1.1 KiB)  TX bytes:1200 (1.1 KiB)

virbr0    Link encap:Ethernet  HWaddr 16:59:62:6B:BC:4C  
          inet addr:192.168.122.1  Bcast:192.168.122.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:36 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:8889 (8.6 KiB)

Expected results:
    eth0 and virbr0 should be detected.

Additional info:
    None.
Comment 1 Daniel Berrange 2010-04-13 05:07:24 EDT
I think this is a mis-understanding of the way the iface-XXX commands work. This will only report on interfaces which have a defined configuration written out. virbr0 is a transient interface managed by libvirt & no ifcfg-virbr0 file, so will never be shown in the iface-list output. My guess is that you are using NetworkManager to configure eth0 which would explain why its not showing. If you are using NM, then selecting the box 'Available to all users' for the eth0 interface should write out the ifcfg-eth0 file which would make it appear in libvirt's iface-list
Comment 2 Lijian Xu 2010-04-14 04:10:51 EDT
I see. So is it OK no eth0 showing when I use a bridged network 'br0' which shows in the iface-list output? I'm not using NM this time.
Comment 3 Cole Robinson 2010-06-03 14:01:07 EDT
Yes, unless there is a eth0 config in /etc/sysconfig/network-scripts, it is not expected to show up in iface-list, as explained in Comment #1. Closing.